Package org.apache.sling.feature.extension.apiregions.api.config

# Class ConfigurationDescriptionAddition

java.lang.Object
org.apache.sling.feature.extension.apiregions.api.config.AttributeableEntity
org.apache.sling.feature.extension.apiregions.api.config.ConfigurableEntityAddition
org.apache.sling.feature.extension.apiregions.api.config.ConfigurationDescriptionAddition

public class ConfigurationDescriptionAddition extends ConfigurableEntityAddition
A description of an OSGi configuration addition This class is not thread safe.

## Constructor Summary

Constructors
Constructor
Description
`ConfigurationDescriptionAddition()`

## Method Summary

### Methods inherited from class org.apache.sling.feature.extension.apiregions.api.config.ConfigurableEntityAddition

`clear, createJson, fromJSONObject, getPropertyDescriptionAdditions`

### Methods inherited from class org.apache.sling.feature.extension.apiregions.api.config.AttributeableEntity

`getAttributes, getBoolean, getInteger, getNumber, getString, getString, getStringArray, setDefaults, setString, setStringArray, toJSONObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigurationDescriptionAddition

public ConfigurationDescriptionAddition()